Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class Javadoc.LinkArgument

    java.lang.Object
      org.apache.tools.ant.taskdefs.Javadoc.LinkArgument

Enclosing class:
  Javadoc

public class Javadoc.LinkArgument
extends java.lang.Object

Constructor Summary
`Javadoc.LinkArgument()`

Method Summary
`java.lang.String` | `getHref()`
`java.io.File` | `getPackagelistLoc()`
`boolean` | `isLinkOffline()`
`void` | `setHref(java.lang.String hr)`
`void` | `setOffline(boolean offline)`
`void` | `setPackagelistLoc(java.io.File src)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Javadoc.LinkArgument

    public Javadoc.LinkArgument()

Method Detail

### setHref

    public void setHref(java.lang.String hr)

### getHref

    public java.lang.String getHref()

### setPackagelistLoc

    public void setPackagelistLoc(java.io.File src)

### getPackagelistLoc

    public java.io.File getPackagelistLoc()

### setOffline

    public void setOffline(boolean offline)

### isLinkOffline

    public boolean isLinkOffline()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.